GraphViz::Data::Grapher(3pm)

NAME
GraphViz::Data::Grapher - Visualise data structures as a graph

SYNOPSIS
  use GraphViz::Data::Grapher;

  my $graph = GraphViz::Data::Grapher->new($structure);
  print $graph->as_png;

DESCRIPTION
This module makes it easy to visualise Perl data structures. Data structures can grow quite large and it can be hard to understand the quite how the structure fits together.

Data::Dumper can help by representing the structure as a text hierarchy, but GraphViz::Data::Grapher goes a step further and visualises the structure by drawing a graph which represents the data structure.

Arrays are represented by records. Scalars are represented by themselves. Array references are represented by a '@' symbol, which is linked to the array. Hash references are represented by a '%' symbol, which is linked to an array of keys, which each link to their value. Object references are represented by 'Object', which then links to the type of the object. Undef is represented by 'undef'.

METHODS

  new
This is the constructor. It takes a list, which is the data structure to be visualised. A GraphViz object is returned.

  my $graph = GraphViz::Data::Grapher->new([3, 4, 5], "Hello");

  as_*
The data structure can be visualised in a number of different graphical formats. Methods include as_ps, as_hpgl, as_pcl, as_mif, as_pic, as_gd, as_gd2, as_gif, as_jpeg, as_png, as_wbmp, as_ismap, as_imap, as_vrml, as_vtx, as_mp, as_fig, as_svg. See the GraphViz documentation for more information. The two most common methods are:

  # Print out a PNG-format file
  print $graph->as_png;

  # Print out a PostScript-format file
  print $graph->as_ps;

AUTHOR
Leon Brocard <acme@astray.com>

COPYRIGHT
Copyright (C) 2000-1, Leon Brocard

This module is free software; you can redistribute it or modify it under the Perl License, a copy of which is available at <http://dev.perl.org/licenses/>.